# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Classes | Namespaces | Typedefs | Functions

# D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/Vector3.hpp File Reference

`#include <vlCore/Vector2.hpp>`

Go to the source code of this file.

## Classes

class | vl::Vector3< T_Scalar >
| The Vector3 class is a template class that implements a generic 3 components vector, see also vl::fvec3, vl::dvec3, vl::uvec3, vl::ivec3, vl::svec3, vl::usvec3, vl::bvec3, vl::ubvec3. More...

## Namespaces

namespace | vl

| Visualization Library namespace.

## Typedefs

typedef Vector3< int > | vl::ivec3
| A 3 components vector with `int` precision.
typedef Vector3< unsigned int > | vl::uvec3
| A 3 components vector with `unsigned` int precision.
typedef Vector3< float > | vl::fvec3
| A 3 components vector with `float` precision.
typedef Vector3< double > | vl::dvec3
| A 3 components vector with `double` precision.
typedef Vector3< char > | vl::bvec3
| A 3 components vector with `char` precision.
typedef Vector3< unsigned char > | vl::ubvec3
| A 3 components vector with `unsigned` char precision.
typedef Vector3< short > | vl::svec3
| A 3 components vector with `short` precision.
typedef Vector3< unsigned short > | vl::usvec3
| A 3 components vector with `unsigned` short precision.
typedef fvec3 | vl::vec3
| Defined as: `'typedef` `fvec3` `vec3'`. See also VL_PIPELINE_PRECISION.

## Functions

template<typename T >
const Vector3< T > | vl::operator* (T val, const Vector3< T > &v)
float | vl::dot (const fvec3 &v1, const fvec3 &v2)
fvec3 | vl::cross (const fvec3 &v1, const fvec3 &v2)
fvec3 | vl::min (const fvec3 &a, const fvec3 &b)
fvec3 | vl::min (const fvec3 &a, float b)
dvec3 | vl::min (const dvec3 &a, double b)
ivec3 | vl::min (const ivec3 &a, int b)
uvec3 | vl::min (const uvec3 &a, unsigned int b)
fvec3 | vl::max (const fvec3 &a, const fvec3 &b)
fvec3 | vl::max (const fvec3 &a, float b)
dvec3 | vl::max (const dvec3 &a, double b)
ivec3 | vl::max (const ivec3 &a, int b)
uvec3 | vl::max (const uvec3 &a, unsigned int b)
fvec3 | vl::clamp (const fvec3 &x, float minval, float maxval)
fvec3 | vl::clamp (const fvec3 &x, const fvec3 &minval, const fvec3 &maxval)
dvec3 | vl::clamp (const dvec3 &x, double minval, double maxval)
ivec3 | vl::clamp (const ivec3 &x, int minval, int maxval)
uvec3 | vl::clamp (const uvec3 &x, unsigned int minval, unsigned int maxval)

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:43:50.
Permission is granted to use this page to write and publish articles regarding Visualization Library.